Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(5)

Unified Diff: tool/analyze.sh

Issue 1554683002: Update to latest analyzer (Closed) Base URL: git@github.com:dart-lang/dev_compiler.git@master
Patch Set: Created 4 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « test/report_test.dart ('k') | tool/input_sdk/lib/async/future.dart » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tool/analyze.sh
diff --git a/tool/analyze.sh b/tool/analyze.sh
index 4969323fd2514352525e4bd51838991d08524401..858abf3121354b3f1f8b573394943dedcba463f4 100755
--- a/tool/analyze.sh
+++ b/tool/analyze.sh
@@ -16,4 +16,4 @@ function fail {
# dart_runtime_test.dart creates invalid generic type instantiation AA.
echo "Running dartanalyzer to check for errors/warnings/hints..."
dartanalyzer --fatal-warnings --package-warnings bin/dartdevc.dart \
- | (! grep $PWD) || fail
+ | grep -v "\[info\] TODO" | (! grep $PWD) || fail
« no previous file with comments | « test/report_test.dart ('k') | tool/input_sdk/lib/async/future.dart » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698